SNMPNETSTAT(1)

NAME
snmpnetstat - show network status using SNMP

SYNOPSIS
snmpnetstat [common arguments] [-a] [-n] host
snmpnetstat [common arguments] [-iors] [-n] host
snmpnetstat [common arguments] [-i] [-n] [-I interface] host [interval]
snmpnetstat [common arguments] [-a] [-n] [-P protocol] host

DESCRIPTION
The snmpnetstat command symbolically displays the values of various network-related information retrieved from a remote system using the SNMP protocol. There are a number of output formats, depending on the options for the information presented. The first form of the command displays a list of active sockets. The second form presents the values of other network-related information according to the option selected. Using the third form, with an interval specified, snmpnetstat will continuously display the information regarding packet traffic on the configured network interfaces. The fourth form displays statistics about the named protocol.

The hostname specification may be either a host name or an internet address specified in "dot notation".

The version 1 and version 2c community specifies the community name for the transaction with the remote system.

The options have the following meaning:

-a  With the default display, show the state of all sockets; normally sockets used by server processes are not shown.

-i  Show the state of all of the interfaces.

-o  Show an abbreviated interface status, giving octets in place of packets. This is useful when enquiring virtual interfaces (such as Frame-Relay circuits) on a Cisco router.

-I interface
    Show information only about this interface; used with an interval as described below.

-n  Show network addresses as numbers (normally snmpnetstat interprets addresses and attempts to display them symbolically). This option may be used with any of the display formats.

-P protocol
    Show statistics about protocol, which is either a well-known name for a protocol or an alias for it. Some protocol names and aliases are listed in the file /etc/protocols. A null response typically means that there are no interesting numbers to report. The program will complain if protocol is unknown or if there is no statistics routine for it.

-s  Show per-protocol statistics.

-r  Show the routing tables. When -s is also present, show routing statistics instead.

The default display, for active sockets, shows the local and remote addresses, protocol, and the internal state of the protocol. Address formats are of the form ``host.port'' or ``network.port'' if a socket's address specifies a network but no specific host address. When known the host and network addresses are displayed symbolically according to the data bases /etc/hosts and /etc/networks, respectively. If a symbolic name for an address is unknown, or if the -n option is specified, the address is printed numerically, according to the address family. For more information regarding the Internet ``dot format,'' refer to inet(3N). Unspecified, or ``wildcard'', addresses and ports appear as ``*''.

The interface display provides a table of cumulative statistics regarding packets transferred, errors, and collisions. The network addresses of the interface and the maximum transmission unit (``mtu'') are also displayed.

The routing table display indicates the available routes and their status. Each route consists of a destination host or network and a gateway to use in forwarding packets. The flags field shows the state of the route (``U'' if ``up''), whether the route is to a gateway (``G''), whether the route was created dynamically by a redirect (``D''), and whether the route has been modified by a redirect (``M''). Direct routes are created for each interface attached to the local host; the gateway field for such entries shows the address of the outgoing interface. The interface entry indicates the network interface utilized for the route.

When snmpnetstat is invoked with an interval argument, it displays a running count of statistics related to network interfaces. This display consists of a column for the primary interface and a column summarizing information for all interfaces. The primary interface may be replaced with another interface with the -I option. The first line of each screen of information contains a summary since the system was last rebooted. Subsequent lines of output show values accumulated over the preceding interval.

SEE ALSO
snmpcmd(1), iostat(1), vmstat(1), hosts(5), networks(5), protocols(5), services(5).

BUGS
The notion of errors is ill-defined.